{
  "compilerOptions": {
    "baseUrl": "./",
    "target": "esnext",
    "useDefineForClassFields": true,
    "module": "esnext",
    "moduleResolution": "node",
    "isolatedModules": true,
    "strict": true,
    "jsx": "preserve",
    "jsxFactory": "h",
    "jsxFragmentFactory": "Fragment",
    "sourceMap": true,
    "resolveJsonModule": true,
    "esModuleInterop": true,
    "paths": {
      "@/*": [
        "resources/ts/*"
      ],
      "@axios": [
        "resources/ts/plugins/axios"
      ],
    },
    "lib": [
      "esnext",
      "dom",
      "dom.iterable",
      "scripthost"
    ],
    "skipLibCheck": true,
    "types": [
      "vite/client",
    ]
  },
  "include": [
    "vite.config.*",
    "resources/ts/**/*",
    "resources/ts/**/*.vue",
    "auto-imports.d.ts",
    "components.d.ts"
  ],
  "exclude": [
    "dist",
    "node_modules",
    "resources/ts/@iconify/*"
  ]
}
